Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciParameterList

public interface SciParameterList
extends SciContainer

Represents a container of `SciParameter`s (parameters of a function), and provides methods for working with them.

An enumeration of parameters can be obtained via `parameters` methods.

`getText` method returns the string containing all parameter declarations in a header of a function. For example, for `SciFunction` `someSciFunciton` representing this method:

      public void someMethod(String str, int iTotal){
       ...
      }

`someSciFunction.getParameterList().getText` will return "String str, int iTotal".

To change the list of parameters, you can use the `setText` method. For example, to change the list of parameters of `someMethod` to the ``

      public void someMethod(Object id){
       ...
      }

you can do this: `

     someSciFunction.getParameterList().setText("Object id");

`

Author:
  TogetherSoft
See Also: SciParameter

Method Summary
`boolean` | `canSetText(String text)` Checks whether the specified string can be assigned to the function as the parameters string.
`String` | `getText()` Returns the string containing all parameter declarations in a header of a function
`SciParameterEnumeration` | `parameters()` Returns an enumeration of parameters for this function.
`void` | `setText(String text)` Sets the parameters string to the specified value.

Methods inherited from interface com.togethersoft.openapi.sci.SciContainer
`canPaste, objects, paste`

Method Detail

### canSetText

    public boolean canSetText(String text)

  Checks whether the specified string can be assigned to the function as the parameters string.
  Returns: `true` if the specified string can be assigned to the function as the parameters string, `false` otherwise

### getText

    public String getText()

  Returns the string containing all parameter declarations in a header of a function
  Returns: the string containing all parameter declarations in a header of a function of a function.

### parameters

    public SciParameterEnumeration parameters()

  Returns an enumeration of parameters for this function.
  Returns: an enumeration of parameters for this function

### setText

    public void setText(String text)

  Sets the parameters string to the specified value.
  Parameters:
    text - the string which needs to be assigned as a new parameters string for a function

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD